Page MenuHomePhabricator

Bump Debian package jenkins-debian-glue and build for both Precise and Trusty
Closed, ResolvedPublic

Description

Author: hashar

Description:

Hello,
Jenkins Debian Glue is a shell of scripts to easily run git build package from
Jenkins. We are using it to build some Math related package and report
lintian/piuparts errors.
We build the package from operations/debs/jenkins-debian-glue.git repository.
master branch has the Debian stuff and upstream the code.
We currently have v0.8.1 available for Precise on apt.wikimedia.org.
I have bumped upstream source code in our repo (upstream branch).
Crafted a commit to bump the Debian package
https://gerrit.wikimedia.org/r/#/c/151042/
The repo as a Jenkins Debian Glue job, hence a test package is available at
https://integration.wikimedia.org/ci/job/operations-debs-jenkins-debian-glue-debian-glue/17/
(under "Build Artifacts" > view).
I could use the package to be bumped using
https://gerrit.wikimedia.org/r/#/c/151042/ and build for both Ubuntu versions
we have: Precise and Trusted. Then have the package uploaded on
apt.wikimedia.org .
I will take care of updating the package on the Jenkins slaves.


Bugzilla Ticket: 68995 => T70995: [OPS] Upgrade Jenkins Debian Glue from 0.8.1 to 0.10.0

Details

Reference
rt8055

Event Timeline

rtimport raised the priority of this task from to Medium.Dec 18 2014, 2:02 AM
rtimport set Reference to rt8055.

Bugzilla ticket 68995 added by hashar

Andrew added a comment.Aug 1 2014, 3:51 PM

This confuses me in a few ways...
On Fri Aug 01 09:22:15 2014, hashar wrote:

Hello,

Jenkins Debian Glue is a shell of scripts to easily run git build
package from
Jenkins. We are using it to build some Math related package and report
lintian/piuparts errors.

We build the package from operations/debs/jenkins-debian-glue.git
repository.
master branch has the Debian stuff and upstream the code.

The most recent commit in that repo is "Merge tag 'v0.8.1' from upstream" which
suggests that if I build there I will get exactly the same code that is already
packaged in our apt repo (version 0.8.1).

I have bumped upstream source code in our repo (upstream branch).
Crafted a commit to bump the Debian package
https://gerrit.wikimedia.org/r/#/c/151042/

That patch doesn't make sense to me... it includes diff lines like "<<<<<<<
HEAD" and it can't be cherry-picked into the repo. And, anyway, if you want to
update the repo do you need an Op to do it?

The repo as a Jenkins Debian Glue job, hence a test package is
available at
https://integration.wikimedia.org/ci/job/operations-debs-jenkins-
debian-glue-debian-glue/17/
(under "Build Artifacts" > view).

I don't know what to do with this, either.
Sorry if I'm being dense -- can you explain?
Thanks!
-A

Status changed from 'new' to 'open' by RT_System

Andrew added a comment.Aug 1 2014, 3:51 PM

Issue taken by abogott

hashar wrote:

Le 01/08/2014 17:51, Andrew Bogott via RT a écrit :
<snip>

The most recent commit in that repo is "Merge tag 'v0.8.1' from upstream" which
suggests that if I build there I will get exactly the same code that is already
packaged in our apt repo (version 0.8.1).

That is correct. That commit was used to build the 0.8.1 package which
is currently deployed. That corresponds to the change
https://gerrit.wikimedia.org/r/#/c/119961/ which is a merge commit.

https://gerrit.wikimedia.org/r/#/c/151042/

That patch doesn't make sense to me... it includes diff lines like "<<<<<<<
HEAD" and it can't be cherry-picked into the repo. And, anyway, if you want to
update the repo do you need an Op to do it?

That is a merge of upstream v0.10.0 with the master branch of the
repository which has a few tiny patches. Gerrit doesn't handle diff of
merge commits properly, the diff at:
https://gerrit.wikimedia.org/r/#/c/151042/3/debian/changelog
doesn't make any sense :-]
If you fetch the change and diff against the current master you will get
all our local hack which are straightforward:
diff --git a/.gitreview b/.gitreview
new file mode 100644
index 0000000..dfcfb2d
--- /dev/null
+++ b/.gitreview
@@ -0,0 +1,6 @@
+[gerrit]
+host=gerrit.wikimedia.org
+port=29418
+project=operations/debs/jenkins-debian-glue
+defaultbranch=master
+defaultrebase=0
diff --git a/debian/gbp.conf b/debian/gbp.conf
new file mode 100644
index 0000000..b5e12bc
--- /dev/null
+++ b/debian/gbp.conf
@@ -0,0 +1,5 @@
+[DEFAULT]
+
+# Wikimedia hack to pick changes ahead of a tag
+upstream-tree=branch
+upstream-branch=f618f4d35a88efd1d3529217c49df5892899aecd
diff --git a/debian/source/options b/debian/source/options
new file mode 100644
index 0000000..2df3e3f
--- /dev/null
+++ b/debian/source/options
@@ -0,0 +1 @@
+extend-diff-ignore = '^\.gitreview$'
Aka add a .gitreview file and tweak git buildpackage configuration.

The repo as a Jenkins Debian Glue job, hence a test package is
available at
https://integration.wikimedia.org/ci/job/operations-debs-jenkins-
debian-glue-debian-glue/17/
(under "Build Artifacts" > view).

I don't know what to do with this, either.

Sorry if I'm being dense -- can you explain?

Our Gerrit repository operations/debs/jenkins-debian-glue.git has a
Jenkins job which runs git buildpackage on the proposed patch and
generate .deb files (among other). Jenkins attach to the build page
the generated material, that let one download the .deb produced by the
proposed patch and test them out.
It basically shows that the package build properly on Precise.
Sorry for all the confusion.
--
Antoine "hashar" Musso

Built the package using tag v0.10.0 as pushed to the gerrit repo by Antoine. Package is ready and uploaded on apt.wikimedia.org. Resolving this, feel free to reopen if necessary

Status changed from 'open' to 'resolved' by akosiaris

hashar wrote:

On Tue Aug 05 14:44:28 2014, akosiaris wrote:

Built the package using tag v0.10.0 as pushed to the gerrit repo by
Antoine. Package is ready and uploaded on apt.wikimedia.org. Resolving
this, feel free to reopen if necessary

I could use jenkins-debian-glue v0.10.0 to be available for Ubuntu Trusty as
well :-)
Antoine

Status changed from 'resolved' to 'open' by RT_System

My fault for forgetting it. Just uploaded it. A word of warning (which is probably irrelevant). Since reprepro can not have multiple versions of a package the version of jenkinks-debian-glue has a -trusty1 appended to it. Re-resolving and sorry for the omission

Status changed from 'open' to 'resolved' by akosiaris

Dzahn changed the visibility from "WMF-NDA (Project)" to "Public (No Login Required)".Apr 1 2015, 2:31 AM
Dzahn changed the edit policy from "WMF-NDA (Project)" to "All Users".
Dzahn set Security to None.